MetricsFilterForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricsFilterForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.visibility
Class MetricsFilterForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.CalendarForm
                      org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricDisplayRangeForm
                          org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricsControlForm
                              org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricsFilterForm

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MetricsDisplayForm

    public class MetricsFilterForm

extends MetricsControlForm

Represents the search options of metric lists

See Also:
  Serialized Form

Field Summary
`static int[]` | `ALL_FILTERS`
`static long[]` | `BITWISE_FILTERS`
`static int` | `FILTER_AVAIL`
`static int` | `FILTER_DYN`
`static int` | `FILTER_PERF`
`static int` | `FILTER_STATIC`
`static int` | `FILTER_THRU`
`static int` | `FILTER_TREND_DN`
`static int` | `FILTER_TREND_UP`
`static int` | `FILTER_UTIL`

Fields inherited from class org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricDisplayRangeForm
`ACTION_DATE_RANGE, ACTION_LASTN, nextRange, prevRange`

Fields inherited from class org.hyperic.hq.ui.action.CalendarForm
`AM, PM`

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`MetricsFilterForm()`

Method Summary
`int[]` | `getFilter()`
`long` | `getFilters()`
`org.apache.struts.util.ImageButtonBean` | `getFilterSubmit()`
`java.lang.String` | `getKeyword()`
`boolean` | `getShowAll()`
`boolean` | `isFilterSubmitClicked()`
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`protected void` | `setDefaults()`
`void` | `setFilter(int[] filter)`
`void` | `setFilterSubmit(org.apache.struts.util.ImageButtonBean b)`
`void` | `setKeyword(java.lang.String keyword)`
`void` | `setShowAll(boolean showAll)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricsControlForm
`getAdvanced, getEditRange, getEntityId, getForwardParams, getRange, getRb, getRbDate, getRe, getReadOnly, getReDate, getRnMenu, getSimple, isAdvancedClicked, isAnythingClicked, isEditRangeClicked, isRangeClicked, isSimpleClicked, setAdvanced, setEditRange, setRange, setRb, setRe, setReadOnly, setSimple, shouldValidate`

Methods inherited from class org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricDisplayRangeForm
`getA, getCtype, getEid, getNextRange, getPrevRange, getRid, getRn, getRu, getType, getWantEndDate, isDateRangeSelected, isLastnSelected, isNextRangeClicked, isPrevRangeClicked, setA, setCtype, setEid, setNextRange, setPrevRange, setRid, setRn, setRu, setType, shouldValidateDateRange, validate`

Methods inherited from class org.hyperic.hq.ui.action.CalendarForm
`calcHour, getEndAmPm, getEndDate, getEndDay, getEndHour, getEndMin, getEndMonth, getEndYear, getInitStartTime, getStartAmPm, getStartDate, getStartDay, getStartHour, getStartMin, getStartMonth, getStartYear, getYearOptions, populateEndDate, populateStartDate, setEndAmPm, setEndDay, setEndHour, setEndMin, setEndMonth, setEndYear, setStartAmPm, setStartDay, setStartHour, setStartMin, setStartMonth, setStartYear, setWantEndDate, validateDateRange`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FILTER_AVAIL

    public static final int FILTER_AVAIL

See Also:
  Constant Field Values

### FILTER_UTIL

    public static final int FILTER_UTIL

See Also:
  Constant Field Values

### FILTER_THRU

    public static final int FILTER_THRU

See Also:
  Constant Field Values

### FILTER_PERF

    public static final int FILTER_PERF

See Also:
  Constant Field Values

### FILTER_DYN

    public static final int FILTER_DYN

See Also:
  Constant Field Values

### FILTER_TREND_UP

    public static final int FILTER_TREND_UP

See Also:
  Constant Field Values

### FILTER_TREND_DN

    public static final int FILTER_TREND_DN

See Also:
  Constant Field Values

### FILTER_STATIC

    public static final int FILTER_STATIC

See Also:
  Constant Field Values

### ALL_FILTERS

    public static final int[] ALL_FILTERS

### BITWISE_FILTERS

    public static final long[] BITWISE_FILTERS

Constructor Detail

### MetricsFilterForm

    public MetricsFilterForm()

Method Detail

### setFilter

    public void setFilter(int[] filter)

### getFilter

    public int[] getFilter()

### getFilters

    public long getFilters()

### getFilterSubmit

    public org.apache.struts.util.ImageButtonBean getFilterSubmit()

### setFilterSubmit

    public void setFilterSubmit(org.apache.struts.util.ImageButtonBean b)

### isFilterSubmitClicked

    public boolean isFilterSubmitClicked()

### getKeyword

    public java.lang.String getKeyword()

### setKeyword

    public void setKeyword(java.lang.String keyword)

### getShowAll

    public boolean getShowAll()

### setShowAll

    public void setShowAll(boolean showAll)

### setDefaults

    protected void setDefaults()

  Overrides:
    `setDefaults` in class `MetricsControlForm`

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `MetricsControlForm`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `MetricsControlForm`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.